<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            :destroy-on-close="true"
            size="70%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                            <Field :span="20" label="抬头设置" prop="lookUp" v-model="form.lookUp" placeholder="请输入抬头设置"/>
                            <Field :span="20" label="播放时间，单位秒" prop="playTime" v-model="form.playTime" placeholder="请输入播放时间，单位秒"/>
                            <Field :span="20" label="备注" prop="remark" type="textarea" v-model="form.remark" placeholder="请输入备注"/>

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "BasicSetDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("basic/set")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "基础功能设置",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="basic/set/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改基础功能设置";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "basic/set/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增基础功能设置";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="basic/set/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "基础功能设置详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    lookUp : "",
                    playTime : 0,
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
